Name:           python-smbpasswd
Version:        1.0.2
Release:        %mkrel 7
Summary:        Python SMB Password Hash Generator Module
Group:          Development/Python
License:        GPLv2
URL:            https://barryp.org/software/py-smbpasswd
#               https://github.com/barryp/py-smbpasswd
# Source0:      https://barryp.org/software/py-smbpasswd/files/py-smbpasswd-%%{version}.tar.gz
Source0:        https://github.com/barryp/py-smbpasswd/archive/%{version}.tar.gz#/py-smbpasswd-%{version}.tar.gz
Patch1:         python-smbpasswd-1.0.1-py3.patch
BuildRequires:  pkgconfig(python3)

%description
This package contains a python module, which is able to generate LANMAN and
NT password hashes suitable to us with Samba.

%package -n python3-smbpasswd
Summary:        Python 3 SMB Password Hash Generator Module
Group:          Development/Python
%{?python_provide:%python_provide python3-smbpasswd}

%description -n python3-smbpasswd
This package contains a python module, which is able to generate LANMAN and
NT password hashes suitable to us with Samba.

This is a ported release for python 3.

%files -n python3-smbpasswd -f %{pyproject_files}
%license COPYING.txt
%doc README.txt

#--------------------------------------------------------------------

%prep
%setup -q -n py-smbpasswd-%{version}
%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files smbpasswd



%changelog
* Sat Mar 01 2025 wally <wally> 1.0.2-7.mga10
+ Revision: 2155933
- rebuild for python3.13

* Thu Dec 14 2023 papoteur <papoteur> 1.0.2-6.mga10
+ Revision: 2018106
- rebuild for python 3.12

* Sat Mar 19 2022 umeabot <umeabot> 1.0.2-5.mga9
+ Revision: 1799254
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 1.0.2-4.mga9
+ Revision: 1782515
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 1.0.2-3.mga9
+ Revision: 1707817
- rebuild for python 3.9

* Mon Feb 17 2020 umeabot <umeabot> 1.0.2-2.mga8
+ Revision: 1537129
- Mageia 8 Mass Rebuild

* Sat Oct 26 2019 daviddavid <daviddavid> 1.0.2-1.mga8
+ Revision: 1455880
- new version: 1.0.2
- port to python3
- drop python2 support

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-10.mga7
+ Revision: 1300602
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.0.1-9.mga6
+ Revision: 946825
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-8.mga5
+ Revision: 739553
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.1-7.mga5
+ Revision: 729773
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-6.mga5
+ Revision: 688340
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.1-4.mga4
+ Revision: 544235
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.1-3.mga4
+ Revision: 499400
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 379540
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 neoclust <neoclust> 1.0.1-1.mga3
+ Revision: 301049
- imported package python-smbpasswd


* Mon Oct 31 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-0.1mdvmes5.2
- built for updates

* Thu Sep 15 2011 Jean-Philippe Braun <jpbraun@mandriva.com> - 1.0.1-1
- Initial package

